## swapspace 1.10

=== Makefile ===
#! /usr/bin/make

SWAPPARENT=/var/lib
SWAPDIR=$(SWAPPARENT)/swapspace

all: VERSION DATE
	+$(MAKE) -C src VERSION="`cat VERSION`" DATE="`cat DATE`"
	+$(MAKE) -C doc VERSION="`cat VERSION`" DATE="`cat DATE`"

clean:
	+$(MAKE) -C src clean

distclean: clean
	+$(MAKE) -C src distclean

install: all
	install -d $(DESTDIR)/$(SWAPPARENT)
	install -d -m700 $(DESTDIR)/$(SWAPDIR)
	install -d $(DESTDIR)/usr/sbin $(DESTDIR)/etc $(DESTDIR)/etc/init.d
	install -d $(DESTDIR)/usr/share/man/man8
	strip src/swapspace || true
	install -m755 src/swapspace $(DESTDIR)/usr/sbin
	install -m644 swapspace.conf $(DESTDIR)/etc
	install -m744 debian/swapspace.init $(DESTDIR)/etc/init.d/swapspace
	install -m644 doc/swapspace.8 $(DESTDIR)/usr/share/man/man8

uninstall:
	/usr/sbin/swapspace -e
	$(RM) -r $(SWAPDIR)
	$(RM) /usr/sbin/swapspace /etc/swapspace.conf /etc/init.d/swapspace
	$(RM) /usr/share/man/man8/swapspace.8

dist : distclean VERSION
	tar -czf swapspace-`cat VERSION`.tar.gz --exclude=debian --exclude=.svn --exclude=.*.swp --exclude=tmp --exclude=swapspace-*.tar.gz .
	$(RM) -r tmp
	mkdir -p tmp/swapspace-`cat VERSION`
	tar -xzf swapspace-`cat VERSION`.tar.gz -C tmp/swapspace-`cat VERSION`
	$(RM) swapspace-`cat VERSION`.tar.gz
	tar -czf ../swapspace-`cat VERSION`.tar.gz -C tmp swapspace-`cat VERSION`
	$(RM) -r tmp


# Derive version number and last change date from Debian changelog
VERSION: debian/changelog
	head -n 1 $< | sed -e 's/^.*(\([0-9][^)]*\)).*/\1/' >$@

DATE: debian/changelog
	grep '^ -- ' $< | sed -e 's/^.*>  \([MTWFS][a-z]\{2\}, \{1,2\}[[:digit:]]\{1,2\} [JFBAMSOND][a-z]* 2[[:digit:]]\{3\}\) .*/\1/' | head -n 1 >$@

.PHONY: all clean install uninstall

=== src/Makefile ===
#! /usr/bin/make

# Assumes we're using gcc
# swapspace is written in C99, but with at least one extension that isn't
# supported in gcc's C99 mode: sigaction() (though it is part of POSIX).
CFLAGS += --std=gnu99 -Wall --pedantic -Wshadow -O2 -g
CPPFLAGS += -DSUPPORT_LARGE_FILES -DVERSION="\"$(VERSION)\"" -DDATE="\"$(DATE)\""
RM=rm -f

# Uncomment this to build a special ultra-lightweight unconfigurable version of
# swapspace.  This saves perhaps 20 kilobytes of binary size and breaks all but
# a few of the command line options.  You probably don't want this; it's mostly
# here as a proof-of-concept and testing ground for the future elimination of
# configuration items.
#CPPFLAGS += -DNO_CONFIG

# Uncomment this to disable assertions and internal consistency checking that
# you probably don't need after release.
# CPPFLAGS += -DNDEBUG

all : swapspace hog


SWAPSPACEOBJS=log.o main.o memory.o opts.o state.o support.o swaps.o

swapspace : $(SWAPSPACEOBJS)
	$(CC) $^ $(LDFLAGS) $(LOADLIBES) $(LDLIBS) -o $@

hog : hog.o

log.o : log.c log.h main.h memory.h

main.o : main.c config.h env.h log.h main.h memory.h support.h

memory.o : memory.c config.h env.h log.h main.h memory.h support.h

opts.o : opts.c opts.h main.h ../VERSION ../DATE

state.o : state.c state.h log.h main.h memory.h support.h swaps.h

support.o : support.c config.h env.h support.h

swaps.o : swaps.c config.h env.h log.h main.h memory.h state.h support.h swaps.h

clean :
	$(RM) $(SWAPSPACEOBJS) hog.o

distclean : clean
	$(RM) swapspace hog

.PHONY : all clean distclean

## swapspace 1.14

=== debian/changelog ===
swapspace (1.14-1) unstable; urgency=medium

  * New maintainer. (Closes: #725821)
  * Redo packaging with debhelper 11 (Closes: #866272)
  * Account for memory allocated to /dev/shm (Closes: #691128)
  * Removed swapd conflict as swapd was removed from Debian in 2010
  * Fix minor manual page typo

 -- Jacob Adams <tookmund@gmail.com>  Wed, 04 Jul 2018 12:53:34 -0400

swapspace (1.10-4) unstable; urgency=low

  * New maintainer. (Closes: #499116)
  * debian/rules:
    - Converted to debhelper v7.
    - Some cleanup.
    - Turned off verbose building mode.
    - Moved dh_installman parameter to debian/manpages.
    - Added quilt makefile.
    - Made 'nostrip' and 'noopt' in DEB_BUILD_OPTIONS really working.
  * debian/control:
    - Added build-dependency on quilt.
    - Bumped debhelper dependency to (>= 7).
    - Bumped 'Standards-Version' to 3.8.0.
    - Added dependency on lsb-base (>= 3.2-14) for status_of_proc in
      initscript.
    - Short descriptions now starts with the non-capital letter.
    - As package conflicts with swapd that is optional, swapspace went to
      extra (by policy).
  * debian/copyright:
    - Renewed download place.
  * debian/swapspace.init:
    - Implemented 'status' option as required by LSB.
    - Replaces 'echo's by proper LSB functions lsb_daemon_msg, lsb_end_msg.
    - Removed displayed by swapspace daemon output as it breaks LSB script
      output.
    - Added '--oknodo' option to STARTCMD to make 'start' return 0 when daemon
      is already running.
  * debian/patches:
    - Started to use quilt patching system.
    - Converted useful stuff from diff.gz to 100-makefile-debian-flags.patch.
    - 100-makefile-debian-flags.patch: corrected to use Debian-specified build
      flags.
  * debian/watch:
    - Added.
  * debian/compat:
    - Bumped to 7.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Wed, 17 Sep 2008 23:14:13 +0300

swapspace (1.10-3) unstable; urgency=low

  * Fixed FTBFS: cc1: error: unrecognized command line option. Closes: #475988

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 17 Apr 2008 22:15:17 +1000

swapspace (1.10-2) unstable; urgency=low

  * NMU acknowledgement. Closes: #468748, #438078
  * Updated homepage. Closes: #474100
  * Fixed the following lintian messages:
    - swapspace source: debian-rules-ignores-make-clean-error line 44
    - swapspace source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - swapspace: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Apr 2008 22:16:57 +1000

swapspace (1.10-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #468748).
  * Make sure package build properly with DEB_BUILD_OPTIONS=nostrip
    (Closes: #438078).

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 19:06:56 +0200

swapspace (1.10-1) unstable; urgency=low

  * New upstream release.
    - Fixed "dies when memory low". Closes: #383214.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 16 Aug 2006 19:02:30 +1000

swapspace (1.8-2) unstable; urgency=low

  * Applied patch from upstream author to deal with the format of
    /proc/meminfo when it doesn't end with a unit, like "kB".
    Closes: #377449.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 14 Aug 2006 14:24:21 +1000

swapspace (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 22 Jul 2006 10:32:40 +1000

swapspace (1.6-2) unstable; urgency=high

  * Fixed "Fails to start with /proc/meminfo parse error", closes: #377449.
    Patch by Robert August Vincent II <bob@html.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jul 2006 15:26:27 +1000

swapspace (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 15 Jun 2006 21:01:30 +1000

swapspace (1.5-1) unstable; urgency=low

  * Initial debian release, closes: #322282.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Jun 2006 14:52:35 +1000

swapspace (1.5) unstable; urgency=low

  * Redesigned internal state machine; improved corner-case behaviour
  * Custom signal handlers are now reusable
  * Signal-triggered stats dump now goes to log if appropriate
  * New -v|--verbose option logs state transitions and other debug info
  * Updated documentation
  * Makefile installs binary as world-executable (and strips it first)
  * Can be built with most configuration features disabled
  * Much more extensive dumps of internal state on signal receipt
  * Add own C/cpp options to those set in environment
  * New -P|--paranoid option wipes swapfiles after use
  * More thorough checking of swap path setting
  * Handles swapfiles being deactivated by third party
  * Improved handling of kill signals
  * SIGUSR2 forces algorithm to "diet" state
  * New -e|--erase option: deallocate all swap files and exit
  * Checks for sufficient disk space before attempting to create swapfile
  * Checks swapdir's filesystem size on startup
  * Rewritten swapfile sizing formula
  * Cleaned up logging system
  * Rephrased "meekness" as "elasticity"

 -- Jeroen T. Vermeulen <jtv@sipa.or.th>  Thu, 01 Aug 2005 18:30:00 +0700

swapspace (1.4) unstable; urgency=low

  * Supports Linux 2.4's /proc/meminfo format; no longer requires 2.6 kernel
  * Only deallocates if enough memory stays free for entire cooldown period
  * Failure to parse /proc/meminfo is now fatal
  * New --version option
  * Additional sanity checking of memory statistics

 -- Jeroen T. Vermeulen <jtv@sipa.or.th>  Thu, 16 June 2005 19:30:00 +0700

swapspace (1.3) unstable; urgency=low

  * Consider part of non-dirty cached memory (and buffers) to be free space
  * Re-tuned default parameters for new accounting
  * Unified logging code--it's not pretty, but it's prettier
  * No longer bother with "negotiable" minimum swapfile sizes


=== debian/control ===
Source: swapspace
Section: admin
Priority: optional
Maintainer: Jacob Adams <tookmund@gmail.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.5
Homepage: https://github.com/Tookmund/Swapspace
Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb

Package: swapspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dynamic swap space manager
 Small, stable system add-on that continuously and automatically adapts
 available virtual memory space to your actual memory needs.  Claims disk space
 for use as swap space when needed; frees it up for use by the filesystem when
 not needed.

## swapspace 1.16.1

=== debian/changelog ===
swapspace (1.16.1-1) unstable; urgency=medium

  * New upstream version
  * Bumped debhelper compat to 12
    - Use debhelper-compat Build-Depends instead of a compat file
  * Bumped 'Standards-Version' to 4.5.0
    - Add NEWS file to docs to comply with 12.7
  * Add Rules-Requires-Root: no

 -- Jacob Adams <tookmund@gmail.com>  Fri, 20 Mar 2020 11:38:10 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Jacob Adams <tookmund@gmail.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/Tookmund/Swapspace
 Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
 Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb
 
 Package: swapspace
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: dynamic swap space manager
  Small, stable system add-on that continuously and automatically adapts

## swapspace 1.17

=== debian/changelog ===
swapspace (1.17-1) unstable; urgency=medium

  * New upstream version
  * Bumped debhelper compat to 13
  * Move VCS to standard salsa namespace, instead of -guest

 -- Jacob Adams <tookmund@gmail.com>  Thu, 21 May 2020 18:05:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Jacob Adams <tookmund@gmail.com>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Build-Depends: debhelper (>= 13), debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tookmund/Swapspace
-Vcs-Git: https://salsa.debian.org/tookmund-guest/swapspace-deb.git
-Vcs-Browser: https://salsa.debian.org/tookmund-guest/swapspace-deb
+Vcs-Git: https://salsa.debian.org/tookmund/swapspace-deb.git
+Vcs-Browser: https://salsa.debian.org/tookmund/swapspace-deb
 
 Package: swapspace
 Architecture: any

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://github.com/tookmund/swapspace/releases .*/download/v?(\d\S+)/swapspace-.*\.tar\.gz

## swapspace 1.18

=== doc/Makefile ===
#! /bin/make

all: fsm.png

# Generate fsm.png from fsm.dot using the circo tool from the graphviz package,
# if available
fsm.png: fsm.dot
	if (which circo >/dev/null); then circo -Tpng $< -o $@ ; fi

=== debian/changelog ===
swapspace (1.18-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 4.6.2, no changes required

 -- Jacob Adams <tookmund@gmail.com>  Sun, 22 Jan 2023 15:50:16 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jacob Adams <tookmund@gmail.com>
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/Tookmund/Swapspace
 Vcs-Git: https://salsa.debian.org/tookmund/swapspace-deb.git

=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/v(.*)\.tar\.gz/releases\/download\/v$1\/@PACKAGE@-$1\.tar\.gz/,\
pgpsigurlmangle=s/$/.sig/,\
filenamemangle=s/.*\/v(.*)/swapspace-$1/ \
https://github.com/tookmund/swapspace/tags .*/archive/refs/tags/v([\d\.]+)\.tar\.gz
